aboutsummaryrefslogtreecommitdiffhomepage
path: root/tools
diff options
context:
space:
mode:
authorGravatar Masood Malekghassemi <atash@google.com>2016-10-26 15:08:13 -0700
committerGravatar Masood Malekghassemi <atash@google.com>2016-10-26 15:08:13 -0700
commitcad0908a2b5064d637036e892ca51ed2c2db57c6 (patch)
treee7296289913a660e7096e8242d36683445b0560e /tools
parentc5fc0433e0ef1e2000dca4e73286d9f2935579c4 (diff)
Break out of build process if in vanilla MSYS
Diffstat (limited to 'tools')
-rwxr-xr-xtools/run_tests/build_python.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/tools/run_tests/build_python.sh b/tools/run_tests/build_python.sh
index b786c479f3..54e2fe5347 100755
--- a/tools/run_tests/build_python.sh
+++ b/tools/run_tests/build_python.sh
@@ -39,6 +39,14 @@ cd $(dirname $0)/../..
PLATFORM=`uname -s`
+function is_msys() {
+ if [ "${PLATFORM/MSYS}" != "$PLATFORM" ]; then
+ echo true
+ else
+ exit 1
+ fi
+}
+
function is_mingw() {
if [ "${PLATFORM/MINGW}" != "$PLATFORM" ]; then
echo true
@@ -108,6 +116,12 @@ VENV=${2:-$(venv $PYTHON)}
VENV_RELATIVE_PYTHON=${3:-$(venv_relative_python)}
TOOLCHAIN=${4:-$(toolchain)}
+if [ $(is_msys) ]; then
+ echo "MSYS doesn't directly provide the right compiler(s);"
+ echo "switch to a MinGW shell."
+ exit 1
+fi
+
ROOT=`pwd`
export CFLAGS="-I$ROOT/include -std=gnu99 -fno-wrapv $CFLAGS"
export GRPC_PYTHON_BUILD_WITH_CYTHON=1